Inactive [ADMN/INFO] Permissions v2.1 - Continuing the legacy.

Discussion in 'Inactive/Unsupported Plugins' started by Nijikokun, Jan 21, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    Nijikokun

    Permissions 2.1 (Handler)
    Download 2.1 (Jar Only)
    Older: 2.0, 1.9, 1.8, 1.7, 1.6, 1.5, 1.4, 1.3, 1.2, 1.1, 1.0

    Permissions... Done right.
    Permissions allows plugin-authors to utalize a permission system that handles group inheritance, globalized permission settings, and more. All the features of a fine-grained permission system in one plugin.​

    Features
    1. Groups
    2. Group Inheritance, Allows for groups to gain permissions from other groups.
    3. User Permission System
    4. Fine Grained Permission system.
      1. Allowing for Globalized permissions
    5. Easy to use, setup, and implement.
    6. Two cache layers, first from file to memory, then from memory to cache.
      1. Plugins can control cache since version 2.1
    7. And much more.
    For the users


    Permissions gives server admins great control, mostly in-game reloading. Simply use /pr and the file will be re-cached and never touched again until you need to reload it. This allows you to quickly give your users the commands that they need without having to restart the server.

    Installation for 2.0 down:
    1. Download the archive.
    2. Extract contents to the /plugins folder.
    3. Open up /plugins/Permissions/config.yml
      1. Read / modify.
      2. Save.
    4. Reload Server.
    Changelog

    • 2.1
      • Multiple-World support
      • New cache layer, and cache control support for plugins
      • Editing features for plugins to hook into
      • Exempt nodes
      • World copying
    • 2.0
      • Forgot.
    • 1.9
      • Fully fixes inheritance.
        • Groups now inherit groups of groups that inherit groups of...
      • Cache system implemented.
      • Plugin authors can now delegate a variable system if needed.
      • API Updated with two new functions to get the point of what they do across.
        • Along with the new variable checks.
    • 1.8
      • Fixes the broken globalized node issue.
        • node.* is called a `globalized node`
    Supporting Plugins




    I have hit the character limit for this post.​

    Thanks to:
    • sk89q for hiearchical and node system idea.
    • Creator of GroupUsers for api implementation.
    This author has stopped development of this plugin. It is no longer supported and I wouldn't ask for help here, as you won't get any. New Permissions
    -RightLegRed
     
  2. Offline

    Monkey_nuts

    So where can we download permissions 2.0??? Cuz 2.1 it's just it ain't working for me with errors left right and centre

    :/
     
  3. Offline

    roatigern

    i get error to :_(
     
  4. Offline

    jamietech

    I'm using it now and ALL users are allowed to access admin commands and actions. The server is saying that permissions isn't found or working and I cannot access your wiki as it is down.
     
  5. Offline

    Nathan C

    Nevermind, sorry about what I said before. This plugin is working great on the latest CraftBukkit.

    [​IMG]


    I beg to differ sir. There is a problem with your config.

    10:15:48 [INFO] MCBans: Permissions plugin found, switching to its permissions!
    10:20:52 [INFO] WorldEdit: Permissions plugin detected! Using Permissions plugin for permissions.
    10:20:52 [INFO] WorldGuard: Permissions plugin detected! Using Permissions plugin for permissions.
    10:20:52 [INFO] [MultiVerse] Found Permissions 2.1, enabling commands.
    10:20:52 [INFO] [iConomy] Attached plugin to Permissions. Enjoy~





     
  6. Offline

    jamietech

    Am I able to talk to you on an IRC server?
     
  7. Offline

    Monkey_nuts

    So how can you download 2.0??? because 2.1 doesn't work from me as there is errors left right and center.
    and i am thinking 2.0 might work but not sure :/
     
  8. Offline

    Zerco

    You rename the .yml permission file to the current name of your world, it seems the previous problem has not been corrected so you cannot have it named "world.yml" so you'll need a custom name, say "tobbisworld.yml" or whatever you specified in the server.properties file to generate. It must match the name of the world it's being used in.
    It looks like the website and mirrors were moved to a different location, so a little url-foo could solve it:
    http://alfenia.com/mirror/Permissions/2.0/Permissions.zip
     
  9. Offline

    NickBrahz

    Ok so for some reason i keep on getting this error:
    Code:
    2011-02-26 05:03:21 [SEVERE] while scanning an anchor
     in "<reader>", line 24, column 21:
            info: {prefix: '&b[&bVeteran]&f', suffix: '', bu ...
                            ^
    expected alphabetic or numeric character, but found [(91)
     in "<reader>", line 24, column 23:
            info: {prefix: '&b[&bVeteran]&f', suffix: '', buil ...
                              ^
    

    Permissions is set as this:

    Code:
      Veteran:
        default: false
        info: {prefix: '&b[&bVeteran]&f', suffix: '', build: true}
        inheritance: [Experienced]
        permissions: [essentials.tphere, essentials.tp, essentials.kick]
    I dont see a type on it, its always worked up until now.
     
  10. Offline

    Zerco

    I tried running it that way and it failed for me, I switched up to the old, less compact style and it gave me no errors.
    So it'd look something like this:
    Code:
        Veteran:
            default: false
            info:
                prefix: '&b[&bVeteran]&f'
                suffix: 
                build: true
            inheritance: 
            permissions:
    
     
  11. Offline

    NickBrahz

    I tried that, i keep on getting an identical error, and its not giving errors for the other 100 lines that are set up like that, here is what my permissions file looks like but it only errors for that part.

    Code:
    groups:
      Member:
        default: true
        info: {prefix: '', suffix: '', build: true}
        inheritance: []
        permissions: [general.spawn, essentials.clearinventory, essentials.home, essentials.sethome,
          essentials.spawn, essentials.afk, essentials.msg, essentials.me,
          essentials.list, essentials.getpos, essentials.compass, essentials.mail, essentials.mail.send,
          mywarp.warp.basic.warp]
      Honorary:
        default: false
        info: {prefix: '&5[&5Honorary&5]&f', suffix: '', build: true}
        inheritance: [Member]
        permissions: []
      Experienced:
        default: false
        info: {prefix: ', suffix: '', build: true}
        inheritance: [Honorary]
        permissions: [essentials.tp]
      Veteran:
        default: false
        info: {prefix: '&b[&bVeteran]&f', suffix: '', build: true}
        inheritance: [Experienced]
        permissions: [essentials.tphere, essentials.tp, essentials.kick]
      Moderator:
        default: false
        info: {prefix: '&3[&3Mod&]&f', suffix: '', build: true}
        inheritance: [Veteran]
        permissions: [general.time, general.player-info, essentials.setwarp, essentials.ban,
          essentials.banip, essentials.unban, essentials.unbanip]
      Admins:
        default: false
        info: {prefix: '', suffix: '', build: true}
        inheritance: [Moderator]
        permissions: ['*', magiccarpet.mc, essentials.delwarp, essentials.kickall, essentials.modgrp,
          mywarp.warp.basic.createpublic, mywarp.warp.basic.list, mywarp.warp.soc.public, mywarp.warp.soc.private,
          mywarp.warp.basic.createprivate, mywarp.warp.soc.give, ywarp.warp.soc.invite, mywarp.admin]
    
     
  12. Offline

    Tobbi

    Now it asks if permissions is up to date...-.-
     
  13. Offline

    Zerco

    Your problem is you never closed off the second " ' " in the Experienced group prefix:
    info: {prefix: ', suffix: '', build: true}
    Should be:
    info: {prefix: '', suffix: '', build: true}
    So it throws the error on the Veteran line when it comes back around to prefix again.
    Try a fresh install of V2.1 and configure the .yml like I stated above. If you're still having issues pm me and I'll try to create one for you.
     
  14. Offline

    NickBrahz

    Zerco sir, i love you, i hate how picky Craftbukkit is...
     
  15. Offline

    jamietech

    I think I have gotten it to work, I renamed it to [worldname].yml like you said (without brackets, of course) and haven't had errors spewed yet. :)
    EDIT: Merged
    It doesn't work. :3
    Here is my permissions file:
    Code:
    # System is no longer used, but may become used in the future
    # Copies is for multiple-world support
    #   Put the name of the world you wish for it to be a clone of, otherwise leave it empty.
    #   Does not work for the default world.
    plugin:
        permissions:
            system: default
            copies:
    
    ##
    # Groups can contain inheritance.
    #   To make a group inherit the permissions from another
    #   group simply place the groups name in the "inheritance:" like so:
    #
    #   Example:
    #       inheritance:
    #           - Default
    ##
    #   All permissions including the asterisks must be placed in single quotes.
    #   like so:
    #
    #       - 'general.spawn'
    #
    #   Otherwise errors will happen!
    ##
    #   Globalized Permission settings:
    #
    #       If a permission contains periods (.) you can denote a globalized parameter:
    #
    #           - 'general.*'
    #
    #       This will allow you to use all general commands.
    #
    ##
    #   Single Asterisk denotes all commands:
    #
    #       - '*'
    ##
    #   To exempt a node use the - prefix like so:
    #       - '-general.time'
    ##
    groups:
        Player:
            default: true
            info:
                prefix: '&a[Guest]'
                suffix: '&f'
                build: 'true'
            inheritance:
            permissions:
                - 'SimpleWarp.warp'
                - 'SimpleWarp.listwarps'
                - 'tplus.tp.to'
                - 'tplus.history'
    
        Trusted:
            default: false
            info:
                prefix: '&b[Trusted]'
                suffix: '&f'
                build: 'true'
            inheritance:
                - Player
            permissions:
                - 'spawnlist.item'
        Moderator:
            default: false
            info:
                prefix: '&b[Moderator]'
                suffix: '&f'
                build: 'true'
            inheritance:
                - Builder
            permissions:
    
        Admin:
            default: false
            info:
                prefix: '&c[Admin]'
                suffix: '&f'
                build: 'true'
            inheritance:
            permissions:
                - '*' -
    
    ##
    # DarkGrave has control over all commands.
    ##
    users:
        jamietech:
            group: Admin
            permissions:
        lmath97:
            group: Trusted
            permissions:
        patchman6
            group: Trusted
            permissions:
        isybub
            group: Admin
            permissions:
     
  16. Offline

    Zerco

    I would remove the two " ' " around " build: 'true' " so it looks like " build: true " you've also got a random " - " after the " - ' * ' " in your admin permission group. Make sure you're not using any type of tab. Does bukkit complain about anything specific in the console?
    Edit: Removed my comments, Shadow confirmed it.
     
  17. Offline

    ShadowDrakken

    yeah, the quotes around true and the extra dash will both break the config
     
  18. Offline

    jamietech

    Okay, server log:
    Code:
    2011-02-26 21:25:31 [INFO] Starting minecraft server version Beta 1.3
    2011-02-26 21:25:31 [WARNING] **** NOT ENOUGH RAM!
    2011-02-26 21:25:31 [WARNING] To start the server with more ram, launch it as "java -Xmx1024M -Xms1024M -jar minecraft_server.jar"
    2011-02-26 21:25:31 [INFO] Loading properties
    2011-02-26 21:25:31 [INFO] Starting Minecraft server on 5.48.254.22:25565
    2011-02-26 21:25:31 [INFO] This server is running Craftbukkit version git-Bukkit-0.0.0-459-g33fb4d6-b443jnks (MC: 1.3)
    2011-02-26 21:25:31 [INFO] Preparing level "notch"
    2011-02-26 21:25:31 [INFO] Preparing start region
    2011-02-26 21:25:32 [INFO] Preparing spawn area: 53%
    2011-02-26 21:25:33 [WARNING] Using the stupidly long constructor com.bukkit.phil.degriefstick.DegriefStick(PluginLoader, Server, PluginDescriptionFile, File, File, ClassLoader) is no longer recommended. Go nag the plugin author of DegriefStick to remove it! (Nothing is broken, we just like to keep code clean.)
    2011-02-26 21:25:33 [WARNING] Using the stupidly long constructor me.taylorkelly.flashlight.Flashlight(PluginLoader, Server, PluginDescriptionFile, File, File, ClassLoader) is no longer recommended. Go nag the plugin author of Flashlight to remove it! (Nothing is broken, we just like to keep code clean.)
    2011-02-26 21:25:33 [WARNING] Using the stupidly long constructor com.nijikokun.bukkit.Guardian.Guardian(PluginLoader, Server, PluginDescriptionFile, File, File, ClassLoader) is no longer recommended. Go nag the plugin author of Guardian to remove it! (Nothing is broken, we just like to keep code clean.)
    2011-02-26 21:25:33 [WARNING] Plugin 'Guardian' (ver 1.0) is registering events before it is enabled. It may be misbehaving and the author needs to fix this.
    2011-02-26 21:25:33 [WARNING] Plugin 'Guardian' (ver 1.0) is registering events before it is enabled. It may be misbehaving and the author needs to fix this.
    2011-02-26 21:25:33 [WARNING] Plugin 'Guardian' (ver 1.0) is registering events before it is enabled. It may be misbehaving and the author needs to fix this.
    2011-02-26 21:25:33 [WARNING] Plugin 'Guardian' (ver 1.0) is registering events before it is enabled. It may be misbehaving and the author needs to fix this.
    2011-02-26 21:25:33 [WARNING] Plugin 'Guardian' (ver 1.0) is registering events before it is enabled. It may be misbehaving and the author needs to fix this.
    2011-02-26 21:25:33 [INFO] [Guardian] version [1.3] (Leggings) loaded
    2011-02-26 21:25:33 [WARNING] Using the stupidly long constructor com.griefcraft.lwc.LWCPlugin(PluginLoader, Server, PluginDescriptionFile, File, File, ClassLoader) is no longer recommended. Go nag the plugin author of LWC to remove it! (Nothing is broken, we just like to keep code clean.)
    2011-02-26 21:25:33 [INFO] Hint! It's probably someone called 'Hidendra'
    2011-02-26 21:25:33 [INFO] LWC    [1.491]    Loading shared objects
    2011-02-26 21:25:33 [INFO] Config    [1.491]    Loaded 9 config entries
    2011-02-26 21:25:33 [INFO] LWC    [1.491]    Native library: lib/native/Windows/x86/sqlitejdbc.dll
    2011-02-26 21:25:35 [INFO] Updater    [1.491]    Update detected for LWC
    2011-02-26 21:25:35 [INFO] Updater    [1.491]    Latest version: 1.55
    2011-02-26 21:25:36 [WARNING] Using the stupidly long constructor com.enigmasm.spawnlist.Spawnlist(PluginLoader, Server, PluginDescriptionFile, File, File, ClassLoader) is no longer recommended. Go nag the plugin author of Spawnlist to remove it! (Nothing is broken, we just like to keep code clean.)
    2011-02-26 21:25:36 [WARNING] Using the stupidly long constructor com.bukkit.JamesArchuleta.Warp.Warp(PluginLoader, Server, PluginDescriptionFile, File, File, ClassLoader) is no longer recommended. Go nag the plugin author of SimpleWarp to remove it! (Nothing is broken, we just like to keep code clean.)
    2011-02-26 21:25:36 [INFO] WorldGuard loaded.
    2011-02-26 21:25:36 [INFO] CraftIRC Enabled.
    2011-02-26 21:25:36 [INFO] CraftIRC DEBUG [OFF]
    2011-02-26 21:25:36 [INFO] CraftIRC v1.70d BETA loading.
    2011-02-26 21:25:36 [INFO] CraftIRC - Connecting to irc.gamesurge.net:6667
    2011-02-26 21:25:45 [INFO] CraftIRC - Connected
    2011-02-26 21:25:45 [INFO] Flashlight 1.0.3 initialized
    2011-02-26 21:25:45 [INFO] [FLASHLIGHT] Permissions enabled.
    2011-02-26 21:25:46 [INFO] Updater    [1.491]    Update detected for LWC
    2011-02-26 21:25:46 [INFO] Updater    [1.491]    Latest version: 1.55
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Loaded command: /lwc -admin
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Loaded command: /lwc -create
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Loaded command: /lwc -free
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Loaded command: /lwc -info
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Loaded command: /lwc -p
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Loaded command: /lwc -modify
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Loaded command: /lwc -unlock
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Loaded command: /lwc -owners
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    -> PLAYER_QUIT
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    -> ENTITY_EXPLODE
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    -> BLOCK_INTERACT
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    -> BLOCK_DAMAGED
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Dev mode: FALSE
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Using Nijikokun's permissions plugin for permissions
    2011-02-26 21:25:46 [INFO] LWC    [1.491]    Loading SQLite
    2011-02-26 21:25:46 [INFO] PhysDB    [1.491]    Creating physical tables if needed
    2011-02-26 21:25:46 [INFO] MemDB    [1.491]    Creating memory tables
    2011-02-26 21:25:46 [INFO] SQLite    [1.491]    Using: Native
    2011-02-26 21:25:46 [INFO] [Permissions] version [2.1] (Handler) loaded
    2011-02-26 21:25:46 [INFO] Spawnlist V0.6 enabled. A Lego Plugin.
    2011-02-26 21:25:46 [INFO] Remember: Spawnlist uses its own /item command.
    2011-02-26 21:25:46 [INFO] If you use a plugin that has its own /item command, unexpected things may result
    2011-02-26 21:25:46 [INFO] For your safety, please disable the /item command for all groups you want managed by Spawnlist
    2011-02-26 21:25:46 [INFO] [Spawnr] v1.3 has been enabled
    2011-02-26 21:25:46 [INFO] [TELEPLUS] Permissions enabled.
    2011-02-26 21:25:46 [INFO] TelePlus 1.5.5 enabled
    2011-02-26 21:25:46 [INFO] SimpleWarp version 1.62 is enabled
    2011-02-26 21:25:46 [INFO] WorldEdit 4.0-beta6 enabled.
    2011-02-26 21:25:46 [INFO] WorldEdit: Permissions plugin detected! Using Permissions plugin for permissions.
    2011-02-26 21:25:47 [INFO] WorldGuard: Permissions plugin detected! Using Permissions plugin for permissions.
    2011-02-26 21:25:47 [INFO] WorldGuard: Single session is enforced.
    2011-02-26 21:25:47 [INFO] WorldGuard: TNT ignition is blocked.
    2011-02-26 21:25:47 [INFO] WorldGuard: Lighters are blocked.
    2011-02-26 21:25:47 [INFO] WorldGuard: Lava fire is blocked.
    2011-02-26 21:25:47 [INFO] WorldGuard: All fire spread is disabled.
    2011-02-26 21:25:47 [INFO] WorldGuard 4.0-alpha1 enabled.
    2011-02-26 21:25:47 [INFO] Done (15510543798ns)! For help, type "help" or "?"
    2011-02-26 21:25:50 [INFO] CraftIRC - Joined main channel: #jamietech
    2011-02-26 21:25:50 [INFO] CraftIRC - Joined admin channel: #jtserver_admin
    2011-02-26 21:26:18 [INFO] CONSOLE: Stopping the server..
    2011-02-26 21:26:18 [INFO] Stopping server
    2011-02-26 21:26:18 [INFO] CraftIRC Disabled.
    2011-02-26 21:26:18 [INFO] Derezing DeGriefStick!
    2011-02-26 21:26:18 [INFO] [Guardian] version [1.3] (Leggings) un-loaded
    2011-02-26 21:26:18 [INFO] LWC    [1.491]    Freeing SQLite
    2011-02-26 21:26:18 [INFO] [Permissions] version [2.1] (Handler) fukkin died okay
    2011-02-26 21:26:18 [INFO] WorldEdit: Permissions plugin detected! Using Permissions plugin for permissions.
    2011-02-26 21:26:18 [INFO] WorldGuard: Permissions plugin detected! Using Permissions plugin for permissions.
    2011-02-26 21:26:18 [INFO] Spawnlist V0.6 disabled. A Lego Plugin.
    2011-02-26 21:26:18 [INFO] [Spawnr] v1.3 has been disabled.
    2011-02-26 21:26:18 [INFO] SimpleWarp version 1.62 is disabled
    2011-02-26 21:26:18 [INFO] WorldGuard 4.0-alpha1 disabled.
    2011-02-26 21:26:18 [INFO] Saving chunks
    
     
  19. Offline

    Zerco

    A lot of times Bukkit won't throw an error until a player in the problem group attempts to join. But doing the two above steps should correct any of your problems.
     
  20. Offline

    jamietech

    Cause it's over 3000 characters: <Edit by Moderator: Redacted mediafire url>
     
    Last edited by a moderator: Dec 15, 2016
  21. Offline

    ShadowDrakken

    malformed config still

    Code:
    2011-02-26 21:28:36 [SEVERE] while scanning a simple key
     in "<reader>", line 96, column 5:
            patchman6
            ^
    could not found expected ':'
     in "<reader>", line 97, column 14:
                group: Trusted
                     ^
    YAML is very picky... it hates tabs, it hates things not being properly indented, it hates missing or extra quotes...
     
  22. Offline

    jamietech

    Code:
    # System is no longer used, but may become used in the future
    # Copies is for multiple-world support
    #   Put the name of the world you wish for it to be a clone of, otherwise leave it empty.
    #   Does not work for the default world.
    plugin:
        permissions:
            system: default
            copies:
    
    ##
    # Groups can contain inheritance.
    #   To make a group inherit the permissions from another
    #   group simply place the groups name in the "inheritance:" like so:
    #
    #   Example:
    #       inheritance:
    #           - Default
    ##
    #   All permissions including the asterisks must be placed in single quotes.
    #   like so:
    #
    #       - 'general.spawn'
    #
    #   Otherwise errors will happen!
    ##
    #   Globalized Permission settings:
    #
    #       If a permission contains periods (.) you can denote a globalized parameter:
    #
    #           - 'general.*'
    #
    #       This will allow you to use all general commands.
    #
    ##
    #   Single Asterisk denotes all commands:
    #
    #       - '*'
    ##
    #   To exempt a node use the - prefix like so:
    #       - '-general.time'
    ##
    groups:
        Player:
            default: true
            info:
                prefix: '&a[Guest]'
                suffix: '&f'
                build: true
            inheritance:
            permissions:
                - 'SimpleWarp.warp'
                - 'SimpleWarp.listwarps'
                - 'tplus.tp.to'
                - 'tplus.history'
    
        Trusted:
            default: false
            info:
                prefix: '&b[Trusted]'
                suffix: '&f'
                build: true
            inheritance:
                - Player
            permissions:
                - 'spawnlist.item'
        Moderator:
            default: false
            info:
                prefix: '&b[Moderator]'
                suffix: '&f'
                build: true
            inheritance:
                - Builder
            permissions:
    
        Admin:
            default: false
            info:
                prefix: '&c[Admin]'
                suffix: '&f'
                build: true
            inheritance:
            permissions:
                - '*'
    
    ##
    # DarkGrave has control over all commands.
    ##
    users:
        jamietech:
            group: Admin
            permissions:
        lmath97:
            group: Trusted
            permissions:
        patchman6
            group: Trusted
            permissions:
        isybub
            group: Admin
            permissions:
     
  23. Offline

    mansl

    just a question, I have a older version of permissions, can I use that? or, could I upgrade it without haveing to re-make all my scripting? its semes like the wiki is down.
     
  24. Offline

    ShadowDrakken

    Code:
        patchman6
            group: Trusted
            permissions:
        isybub
            group: Admin
            permissions:
    you're missing colons... should be:
    Code:
        patchman6:
            group: Trusted
            permissions:
        isybub:
            group: Admin
            permissions:
     
  25. Offline

    Zerco

     
    Last edited by a moderator: Dec 15, 2016
  26. Offline

    SpyDaniel

    Code:
    2011-02-26 04:02:56 [SEVERE] java.util.logging.ErrorManager: 5
    2011-02-26 04:02:56 [SEVERE] java.lang.NullPointerException
    2011-02-26 04:02:56 [SEVERE]     at org.bukkit.craftbukkit.util.ShortConsoleLogFormatter.format(ShortConsoleLogFormatter.java:43)
    2011-02-26 04:02:56 [SEVERE]     at java.util.logging.StreamHandler.publish(StreamHandler.java:197)
    2011-02-26 04:02:56 [SEVERE]     at java.util.logging.ConsoleHandler.publish(ConsoleHandler.java:106)
    2011-02-26 04:02:56 [SEVERE]     at java.util.logging.Logger.log(Logger.java:484)
    2011-02-26 04:02:56 [SEVERE]     at java.util.logging.Logger.doLog(Logger.java:506)
    2011-02-26 04:02:56 [SEVERE]     at java.util.logging.Logger.log(Logger.java:529)
    2011-02-26 04:02:56 [SEVERE]     at java.util.logging.Logger.info(Logger.java:1048)
    2011-02-26 04:02:56 [SEVERE]     at net.minecraft.server.MinecraftServer.d(MinecraftServer.java:85)
    2011-02-26 04:02:56 [SEVERE]     at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:246)
    2011-02-26 04:02:56 [SEVERE]     at net.minecraft.server.ThreadServerApplication.run(SourceFile:366)
    2011-02-26 04:02:56 [INFO] Starting minecraft server version Beta 1.3
    2011-02-26 04:02:56 [INFO] Loading properties
    2011-02-26 04:02:56 [INFO] Starting Minecraft server on 193.33.187.70:25565
    2011-02-26 04:02:56 [INFO] This server is running Craftbukkit version git-Bukkit-0.0.0-469-gd7cf5e2-b451jnks (MC: 1.3)
    2011-02-26 04:02:56 [INFO] Preparing level "world"
    2011-02-26 04:02:56 [INFO] Preparing start region
    2011-02-26 04:02:57 [SEVERE] Could not load plugins/iChat.jar in plugins: null
    org.bukkit.plugin.InvalidPluginException
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:80)
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:129)
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:94)
        at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:59)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:204)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:191)
        at net.minecraft.server.MinecraftServer.d(MinecraftServer.java:131)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:246)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:366)
    Caused by: java.lang.NoSuchMethodException: com.nijikokun.bukkit.iChat.iChat.<init>()
        at java.lang.Class.getConstructor0(Class.java:2724)
        at java.lang.Class.getConstructor(Class.java:1675)
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:75)
        ... 8 more
    2011-02-26 04:02:57 [INFO] [Permissions] version [2.1] (Handler) was Initialized.
    2011-02-26 04:02:57 [SEVERE] Could not load plugins/Permissions.jar in plugins: null
    org.bukkit.plugin.InvalidPluginException
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:80)
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:129)
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:94)
        at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:59)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:204)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:191)
        at net.minecraft.server.MinecraftServer.d(MinecraftServer.java:131)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:246)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:366)
    Caused by: mapping values are not allowed here
     in "<reader>", line 59, column 19:
                    suffix:
                          ^
    
        at org.yaml.snakeyaml.scanner.ScannerImpl.fetchValue(ScannerImpl.java:745)
        at org.yaml.snakeyaml.scanner.ScannerImpl.fetchMoreTokens(ScannerImpl.java:307)
        at org.yaml.snakeyaml.scanner.ScannerImpl.checkToken(ScannerImpl.java:183)
        at org.yaml.snakeyaml.parser.ParserImpl$ParseBlockMappingKey.produce(ParserImpl.java:564)
        at org.yaml.snakeyaml.parser.ParserImpl.peekEvent(ParserImpl.java:163)
        at org.yaml.snakeyaml.parser.ParserImpl.checkEvent(ParserImpl.java:148)
        at org.yaml.snakeyaml.composer.Composer.composeMappingNode(Composer.java:228)
        at org.yaml.snakeyaml.composer.Composer.composeNode(Composer.java:160)
        at org.yaml.snakeyaml.composer.Composer.composeMappingNode(Composer.java:230)
        at org.yaml.snakeyaml.composer.Composer.composeNode(Composer.java:160)
        at org.yaml.snakeyaml.composer.Composer.composeMappingNode(Composer.java:230)
        at org.yaml.snakeyaml.composer.Composer.composeNode(Composer.java:160)
        at org.yaml.snakeyaml.composer.Composer.composeDocument(Composer.java:122)
        at org.yaml.snakeyaml.composer.Composer.getSingleNode(Composer.java:105)
        at org.yaml.snakeyaml.constructor.BaseConstructor.getSingleData(BaseConstructor.java:124)
        at org.yaml.snakeyaml.Yaml.load(Yaml.java:264)
        at org.bukkit.util.config.Configuration.load(Configuration.java:73)
        at org.bukkit.plugin.java.JavaPlugin.initialize(JavaPlugin.java:155)
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:78)
        ... 8 more
    2011-02-26 04:02:57 [SEVERE] Could not load plugins/Minequery.jar in plugins: null
    org.bukkit.plugin.InvalidPluginException
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:80)
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:129)
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:94)
        at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:59)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:204)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:191)
        at net.minecraft.server.MinecraftServer.d(MinecraftServer.java:131)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:246)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:366)
    Caused by: java.lang.NoSuchMethodException: net.minestatus.minequery.Minequery.<init>()
        at java.lang.Class.getConstructor0(Class.java:2724)
        at java.lang.Class.getConstructor(Class.java:1675)
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:75)
        ... 8 more
    2011-02-26 04:02:57 [INFO] WorldGuard loaded.
    2011-02-26 04:02:57 [INFO] Loaded EssentialsGod build 235 by Zenexer, ementalo, Eris, and EggRoll
    2011-02-26 04:02:57 [INFO] Loaded Essentials build 235 by Zenexer, ementalo, Eris, and Brettflan
    2011-02-26 04:02:57 [INFO] WorldGuard: No known permissions plugin detected. Using configuration file for permissions.
    2011-02-26 04:02:57 [INFO] WorldGuard: Single session is enforced.
    2011-02-26 04:02:57 [INFO] WorldGuard: TNT ignition is PERMITTED.
    2011-02-26 04:02:57 [INFO] WorldGuard: Lighters are PERMITTED.
    2011-02-26 04:02:57 [INFO] WorldGuard: Lava fire is blocked.
    2011-02-26 04:02:57 [INFO] WorldGuard: All fire spread is disabled.
    2011-02-26 04:02:57 [INFO] WorldGuard 4.0-alpha1 enabled.
    2011-02-26 04:02:57 [INFO] Loaded EssentialsHome build 235 by Zenexer, ementalo, Eris, and Brettflan
    2011-02-26 04:02:57 [INFO] Loaded EssentialsSpawn build 235 by Zenexer, ementalo, Eris, and Brettflan
    2011-02-26 04:02:57 [INFO] WorldEdit 4.0-beta6 enabled.
    2011-02-26 04:02:57 [INFO] WorldEdit: No known permissions plugin detected. Using configuration file for permissions.
    2011-02-26 04:02:57 [INFO] Loaded EssentialsBan build 235 by Zenexer, ementalo, Eris, and EggRoll
    2011-02-26 04:02:57 [INFO] Done (0.125s)! For help, type "help" or "?"
    Using build #451 and permissions and iChat do not work.
     
  27. Offline

    ShadowDrakken

    current developer build is 440, and there's a lot of reports of iChat being broken even when it's solo.

    Permissions may be failing because of other plugin failures. Which version of Permissions do you have?

    nm... the Permissions problem is more malformed YAML...
    Code:
    Caused by: mapping values are not allowed here
     in "<reader>", line 59, column 19:
                    suffix:
                          ^
    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Jul 18, 2016
  28. Offline

    Zerco

    Could we see your .yml file?
     
  29. Offline

    ShadowDrakken

    I'm learning to hate YAML, lol XD
     
  30. Offline

    jamietech

    Thank god you guys are online, otherwise we would be stuck with griefed servers. Bit annoying to know that admin stick works for everyone. :3

    I'm trying what you said now in my config code.

    Okay, it is working now, but de-grief stick obviously isn't compatible with Permissions. And I need to get Guardian working.
     
  31. Offline

    Zerco

    Glad we could help sort out the problems; alas, I have no idea on the other two though running a pserv with friends doesn't really require much plugin usage, I just threaten them irl. [​IMG]
     
Thread Status:
Not open for further replies.

Share This Page